# View Wishlist

When a customer views their wish list, fire the following event

Copy

```
MagicPixel.recordEvent('mp_view_wish_list', {
    currency: 'INR', // can be hard coded to INR
    items: [{\
        item_id: '<item id>',\
        item_name: '<product name>',\
        item_sku: '<style id of the item>',\
        price: 1.23, // float price\
        quantity: 1, // integer quantity\
        item_category: '<item category>',\
        index: 1, // since this is view item, hard coded to 1\
    }]
});
```

[PreviousView Cart](/implementation/react-native-sdk/tracking-events/view-cart.md) [NextAdd To WishList](/implementation/react-native-sdk/tracking-events/add-to-wishlist.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ingestlabs.com/implementation/react-native-sdk/tracking-events/view-wishlist.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
